Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1108164 - [LOCALFS] Unclear error message when adding a local storage domain with wrong path/permissions
Summary: [LOCALFS] Unclear error message when adding a local storage domain with wrong...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Idan Shaby
QA Contact: Carlos Mestre González
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-11 13:43 UTC by Carlos Mestre González
Modified: 2016-02-10 18:02 UTC (History)
12 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29259 master MERGED core: Throwing exception instead of handle fault Never

Description Carlos Mestre González 2014-06-11 13:43:26 UTC
Description of problem:
When adding a local storage domain with either wrong path or path with the wrong permission the rest api retunrs a Operation Failed.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Adding a local storage domain via REST with wrong path or permissions


Actual results:
<fault>
<reason>Operation Failed</reason>
<detail>[]</detail>
</fault>

Expected results:
Same as using the webui, like these:

<fault>
<reason>Operation Failed</reason>
<detail>Permission settings on the specified path do not allow access to the storage. Verify permission settings on the specified storage path.</detail>
</fault>

Additional info:
version: av9.5

Comment 1 Carlos Mestre González 2014-08-07 08:59:06 UTC
Fixed in RC1, Proper message is displayed:

<reason>Operation Failed</reason>
<detail>
[Permission settings on the specified path do not allow access to the storage. Verify permission settings on the specified storage path.]
</detail>

Comment 3 Allon Mureinik 2015-02-16 19:12:04 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 4 Allon Mureinik 2015-02-16 19:12:05 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.